import { AnyJson } from '@salesforce/ts-types';
import { CliMeta, SfTopics, CommandClass } from './utils.js';
export declare class Docs {
    private outputDir;
    private hidden;
    private topicMeta;
    private cliMeta;
    constructor(outputDir: string, hidden: boolean, topicMeta: SfTopics, cliMeta: CliMeta);
    build(commands: CommandClass[]): Promise<void>;
    populateTopic(topic: string, subtopics: Map<string, CommandClass[]>): Promise<AnyJson[]>;
    /**
     * Group all commands by the top level topic and then subtopic. e.g. force, analytics, evergreen, etc
     * then org, apex, etc within the force namespace.
     *
     * @param commands - The entire set of command data.
     * @returns The commands grouped by topics/subtopic/commands.
     */
    private groupTopicsAndSubtopics;
    private populateTemplate;
    private resolveCommandMeta;
    private populateCommand;
}
